Create or update award prompt
curl --request POST \
--url https://arbitrators.platform.arb.inc/award-prompts/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ruleSet": "AAA-Commercial",
"prompt": "You are an arbitrator following AAA Commercial rules. Review the case materials and provide a detailed award..."
}
'import requests
url = "https://arbitrators.platform.arb.inc/award-prompts/create"
payload = {
"ruleSet": "AAA-Commercial",
"prompt": "You are an arbitrator following AAA Commercial rules. Review the case materials and provide a detailed award..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ruleSet: 'AAA-Commercial',
prompt: 'You are an arbitrator following AAA Commercial rules. Review the case materials and provide a detailed award...'
})
};
fetch('https://arbitrators.platform.arb.inc/award-prompts/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"award prompt successfully saved"award-prompts
Create or update award prompt
Creates or updates an award prompt for a specific rule set. Requires arbitrators.award-prompts.writer permission.
POST
/
award-prompts
/
create
Create or update award prompt
Authorizations
access token
Body
application/json
Rule set identifier
Required string length:
1 - 50Example:
"AAA-Commercial"
AI prompt text for generating awards
Required string length:
1 - 50000Example:
"You are an arbitrator following AAA Commercial rules. Review the case materials and provide a detailed award..."
Response
200 - text/plain
Award prompt successfully saved
The response is of type string.
Example:
"award prompt successfully saved"
⌘I